# Trueface SDK

## Getting started
The sdk library and the header files `tf_sdk.h` and `tf_data_types.h` can be found in `trueface_sdk/`.
Run `download_models.sh` to obtain the GPU models and the pose estimator model.

### C++ Sample Code
Navigate to `c++/` and build and run the sample code using the build instructions at the top of the files. 
The sample code demonstrates the basic functionality provided by the SDK. To explore full functionality, please consult the header files and the documentation.

### Python Bindings
The C++ SDK features python bindings for all the API functions and data types.
To run the python sample code, obtain a version of the Trueface [SDK python bindings](https://reference.trueface.ai/cpp/dev/latest/py/index.html)
 library and place it in `python/`. We currently support python 3.6 and 3.7. 

### Documentation
The C++ SDK documentation can be found [here](https://reference.trueface.ai/cpp/dev/latest/index.html) 

### Python bindings documentation
The documentation for the python bindings can be found [here](https://reference.trueface.ai/cpp/dev/latest/py/index.html)

### Sample Apps
Sample apps using the C++ SDK can be found [here](https://github.com/getchui/sample-apps). 
These sample apps extend the scope of the sample code and demonstrate more complete applications such as real-time streaming apps.

### Benchmarks
To run speed benchmarks, navigate to `benchmarks/`

### FAQ
A list of frequently asked questions with answers can be found [here](https://reference.trueface.ai/cpp/dev/latest/faq.html)